Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Invoke Skill Wealth Advise

post/api/v1/skills/wealth.advise/invoke

Wealth management advice β€” investment structures, retirement, asset protection.

Request bodyapplication/json

FieldTypeDescription
topicrequiredstringβ€”
jurisdiction"AU" | "GB" | "CA" | "US" | "NZ" | nullβ€”
wealth_mode"advisory" | "retirement" | "asset_protection" | "investment"β€”
advisoryretirementasset_protectioninvestment
client_contextobjectβ€”
show nested
Empty object.

Responses

200Skill executed successfully
FieldTypeDescription
skillrequiredstringβ€”
outputrequiredobjectβ€”
show nested
FieldTypeDescription
stub_fieldsstring[]β€”
warningsstring[]β€”
advicestringβ€”
citationsany[]β€”
confidencenumberβ€”
caveatsstring[]β€”
disclaimerstringβ€”
correlation_idrequiredstringβ€”
401Authentication required
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
403Insufficient permissions
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
404Skill not found
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
429Rate limit exceeded
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
5XXInternal server error
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
curl https://api.dev.arch.ie/api/v1/skills/wealth.advise/invoke \
  -X POST \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "topic": "string",
       "jurisdiction": null,
       "wealth_mode": "advisory",
       "client_context": {}
     }'